//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAweb.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class tblLoaiSanPham
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public tblLoaiSanPham()
        {
            this.tblSanPhams = new HashSet<tblSanPham>();
        }
    
        public int MaLoaiSP { get; set; }
        public string TenLoaiSP { get; set; }
        public bool TrangThai { get; set; }
        public Nullable<int> MaDanhMuc { get; set; }
    
        public virtual DanhMuc DanhMuc { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<tblSanPham> tblSanPhams { get; set; }
    }
}
